Update compliance alert
curl --request PATCH \
--url https://api.example.com/compliance/alerts/{alertId} \
--header 'Content-Type: application/json' \
--data '
{
"acknowledged": true,
"externalId": "<string>"
}
'import requests
url = "https://api.example.com/compliance/alerts/{alertId}"
payload = {
"acknowledged": True,
"externalId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({acknowledged: true, externalId: '<string>'})
};
fetch('https://api.example.com/compliance/alerts/{alertId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"id": "<string>",
"checkId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"acknowledged": true,
"acknowledgedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"data": {
"lists": [
"<string>"
],
"comment": "<string>",
"externalId": "<string>",
"rawdata": [
{}
]
}
}{
"title": "ALERT_NOT_FOUND"
}compliance
Update compliance alert
PATCH
/
compliance
/
alerts
/
{alertId}
Update compliance alert
Path Parameters
Was this page helpful?
⌘I

